Subject: Re: [PATCH] doc: git-blame: convert blame to new doc format

From: Jean-Noël AVILA <[email-masked]>
Date: Wed, 07 Jan 2026 19:44:51 +0100

On Tuesday, 6 January 2026 22:16:02 CET Michael Lyons wrote:
> > Here, let's transition to the <placeholder> format: <start>..<end> and so
> > on.
> 
> This is the continuation of my question on `<start>,<end>`: Do these also go
> to backticks or keep the underscores? My impulse is backticks, but let me
> know: `<start>..<end>` or _<start>..<end>_?
> 
> The start/end change from rev/rev makes sense.

Definitely backticks here, because this is a complex synopsis span.

> 
> > > -	marked with a '*'. In the porcelain modes, we print 'ignored' and
> > > -	'unblamable' on a newline respectively.
> > > +	marked with a `*`. In the porcelain modes, we print _ignored_ and
> > > +	_unblamable_ on a newline respectively.
> > 
> > If the words are printed "verbatim", then the format is backticked:
> > `ignored` and `unblamable`.
> 
> Another one where I had backticks originally and switched them. I'm not 
super-
> familiar with the porcelain parts.
> 
> > This diff is quite large. If there are no other reasons to split the patch
> > according to some semantic reason, then please split file by file.
> 
> Okay. Next try will just be blame-options for now.

You can push two commits in this series.

> 
> > That's very good for a first try. Now, I hope that you will be ok to 
review
> > my patches :-)
> 
> That's very kind. I'll probably need a couple more rounds before my changes
> pass inspection, let alone be declared competent to review yours. :)
> 
> For the purposes of re-submission, should I be doing something with scissors
> on this thread, or make a new thread?

Usually, the reworked series is pushed with v2 as reply to the first mail of 
the first submission, using for instance:

git send-email '--in-reply-to=<[email-masked]>' 
v2-*.patch

JN